Search documentation of wx

# View Source wxGridCellNumberEditor (wx v2.4.2)

Functions for wxGridCellNumberEditor class

Grid cell editor for numeric integer data.

See: `wxGridCellEditor`, `wxGridCellAutoWrapStringEditor` (not implemented in wx), `wxGridCellBoolEditor`, `wxGridCellChoiceEditor`, `wxGridCellEnumEditor` (not implemented in wx), `wxGridCellFloatEditor`, `wxGridCellTextEditor`, `wxGridCellDateEditor` (not implemented in wx)

This class is derived (and can use functions) from: `wxGridCellTextEditor` `wxGridCellEditor`

wxWidgets docs: wxGridCellNumberEditor

# Summary

## Types

wxGridCellNumberEditor()

## Functions

destroy(This)

Destroys the object.

getValue(This)

Returns the value currently in the editor control.

new()
new(Options)

Allows you to specify the range for acceptable data.

setParameters(This, Params)

Parameters string format is "min,max".

# Types

Link to this type

# wxGridCellNumberEditor()

View Source

    -type wxGridCellNumberEditor() :: wx:wx_object().

# Functions

Link to this function

# destroy(This)

View Source

    -spec destroy(This :: wxGridCellNumberEditor()) -> ok.

Destroys the object.

Link to this function

# getValue(This)

View Source

    -spec getValue(This) -> unicode:charlist() when This :: wxGridCellNumberEditor().

Returns the value currently in the editor control.

Link to this function

# new()

View Source

    -spec new() -> wxGridCellNumberEditor().

Link to this function

# new(Options)

View Source

    -spec new([Option]) -> wxGridCellNumberEditor() when Option :: {min, integer()} | {max, integer()}.

Allows you to specify the range for acceptable data.

Values equal to -1 for both `min` and `max` indicate that no range checking should be done.

Link to this function

# setParameters(This, Params)

View Source

    -spec setParameters(This, Params) -> ok
                           when This :: wxGridCellNumberEditor(), Params :: unicode:chardata().

Parameters string format is "min,max".